typedef enum intop_s {
	INTOP_INVALID = 0,
	INTOP_GT,
	INTOP_GTE,
	INTOP_LT,
	INTOP_LTE
} intop_t;

intop_t intop_parse(const char *op);

#define intop_cmp(left, op, right, cmd_bad) \
do { \
	switch(op) { \
		case INTOP_GT:  return left > right; \
		case INTOP_LT:  return left < right; \
		case INTOP_GTE: return left >= right; \
		case INTOP_LTE: return left <= right; \
		case INTOP_INVALID: cmd_bad; \
	} \
} while(0)

