#include "helper_intop.h"

intop_t intop_parse(const char *op)
{
	switch(op[0]) {
		case '>':
			if ((op[1] == '=') && (op[2] == '\0')) return INTOP_GTE;
			else if (op[1] == '\0') return INTOP_GT;
			return INTOP_INVALID;
		case '<':
			if ((op[1] == '=') && (op[2] == '\0')) return INTOP_LTE;
			else if (op[1] == '\0') return INTOP_LT;
			return INTOP_INVALID;
	}
	return INTOP_INVALID;
}
